summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Isaac Yu <isaacyu1@isaacyu1.com>2019-05-09 23:33:18 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-05-09 23:33:18 +0700
commit045692fe941c19210ccb894ea4974dce4ee9db0e (patch)
treedb4cf8e001aea85f561aa7eac3abd6392ade79f6 /system
parent5ccb1bf2f0b1d23a22f081ff03ea7777499b5990 (diff)
downloadslackbuilds-045692fe941c19210ccb894ea4974dce4ee9db0e.tar.gz
slackbuilds-045692fe941c19210ccb894ea4974dce4ee9db0e.tar.xz
system/tbsm: Added (Terminal Based Session Manager).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/tbsm/README12
-rw-r--r--system/tbsm/README.SLACKWARE6
-rw-r--r--system/tbsm/slack-desc19
-rw-r--r--system/tbsm/tbsm.SlackBuild90
-rw-r--r--system/tbsm/tbsm.info10
5 files changed, 137 insertions, 0 deletions
diff --git a/system/tbsm/README b/system/tbsm/README
new file mode 100644
index 0000000000..6d7a8b7a0f
--- /dev/null
+++ b/system/tbsm/README
@@ -0,0 +1,12 @@
+tbsm is a pure bash session or application launcher, inspired by cdm,
+tdm and krunner. It supports X and Wayland sessions.
+
+Autostart tbsm upon login by adding the following to $HOME/.profile:
+
+# Autostart tbsm on all TTYs
+if [[ ! ${DISPLAY} && ${XDG_VTNR} -le 2 ]]; then
+ exec tbsm
+fi
+
+/usr/share/doc/tbsm-0.5/01_Manual.txt contains instructions.
+README.SLACKWARE contains additional tips.
diff --git a/system/tbsm/README.SLACKWARE b/system/tbsm/README.SLACKWARE
new file mode 100644
index 0000000000..d80360d4df
--- /dev/null
+++ b/system/tbsm/README.SLACKWARE
@@ -0,0 +1,6 @@
+tbsm may run desktop sessions, such as dwm, without consolekit and dbus
+support. Thus, given that tbsm detects available .desktop files from
+/usr/share/xsessions, create a copy of the .desktop file and modify
+the Name and Exec lines as such:
+Name=dwm-dbus
+Exec=ck-launch-session dbus-launch --sh-syntax --exit-with-session dwm
diff --git a/system/tbsm/slack-desc b/system/tbsm/slack-desc
new file mode 100644
index 0000000000..e2899396f6
--- /dev/null
+++ b/system/tbsm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tbsm: tbsm (Terminal Based Session Manager)
+tbsm:
+tbsm: tbsm is a pure bash session or application launcher, inspired by cdm,
+tbsm: tdm and krunner.
+tbsm:
+tbsm:
+tbsm:
+tbsm:
+tbsm:
+tbsm:
+tbsm:
diff --git a/system/tbsm/tbsm.SlackBuild b/system/tbsm/tbsm.SlackBuild
new file mode 100644
index 0000000000..0d01a210fb
--- /dev/null
+++ b/system/tbsm/tbsm.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for tbsm
+
+# Copyright 2019 Isaac Yu <isaacyu1@isaacyu1.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tbsm
+VERSION=${VERSION:-0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+make install PREFIX=/usr DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Redundant directory
+rm -r $PKG/usr/share/doc/tbsm
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/ changelog license readme-install.txt README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/tbsm/tbsm.info b/system/tbsm/tbsm.info
new file mode 100644
index 0000000000..b28e8cd25e
--- /dev/null
+++ b/system/tbsm/tbsm.info
@@ -0,0 +1,10 @@
+PRGNAM="tbsm"
+VERSION="0.5"
+HOMEPAGE="https://github.com/loh-tar/tbsm"
+DOWNLOAD="https://github.com/loh-tar/tbsm/archive/v0.5/tbsm-0.5.tar.gz"
+MD5SUM="35faadd3c3cdba0c87541823cadb65f1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Isaac Yu"
+EMAIL="isaacyu1@isaacyu1.com"